# Valeur/Vecteur/Espaces propres

- Soit \\( M \\) une matrice \\( n \times n \\). Soit \\( L: V \to V \\) une application linéaire
    - Soit \\( v \in V \\) un vecteur **Non-Nul**.
        - On dit que \\( v \\) est un **vecteur propre** de \\( L/M \\) ssi
            - \\( \exists \lambda \in \mathbb{R} \quad L(v) = \lambda v / Mv = \lambda v \\) 
                - Ce \\( \lambda est la **valeur propre** associée à v \\) 
                    - l'ensemble des vecteurs propres d'une valeur propres est **un espace propre**

En passant par les matrice, on a bien que \\( Mv = \lambda v \\) et on peut transformer cette equation en \\( (M - \lambda 𝟙 )* v = 0 \\) 

Pour isoler lambda on peut alors faire \\( det(M - \lambda 𝟙 ) = 0 \\) qui nous permet alors de trouver les vecteurs et espaces propres

## Diagonalisable

- Soit \\( L : V \to V \quad dim(V) = n \\) 
    - L est [**Diagonalisable**](./matrix.md#diagonalisation) ssi
        - Il existe n vecteurs propres de L linéairement indépendants

- Donc toutes les matrices ne sont pas diagonalisables!
    - Si pas dans \\( \mathbb{R} \\) pour être dans les complexes
    - attention aux dimentiosn de l'éspaces propre

1) Trouver les valeurs propres
    1) calculer le détérminant du polynome caractéristique 
        - les valeurs pour lequels ce det est = 0 alors lambda sont nos valeurs propres\\( det(M - \lambda 𝟙 ) = 0 \\)
        - pour chaques lambdas, calculer sa multiplicité
    2) Vérifier que les lambdas sont bien dans les réels
    3) Trouver les espaces propres (ensemble de tout les vecteurs propres) 
        - pour chauques lambdan calculer \\( M - \lambda 𝟙 = 0\\) 
    4) Vérifier \\( dim(E_i) = k_i \\) si pas, M n'est pas diagonalisable
    5) Calculer la matrice diagonale
        - Retourner la matrice diagonale dont la ligne de diagonale est composée des valeurs propres \\( \lambda_ i \\) , chacune répétée \\( k_i \\)  fois
            - Cette matrice de L a pour base les vecteurs propres de chaques \\( lambda_i \\) dans l'ordre mis dans la matrice
